PO4A-UPDATEPO.1P(1)

NOMBRE
po4a-updatepo - Actualiza la traducción (en formato PO) de la documentación

SINOPSIS
po4a-updatepo -f formatoE (-m original.doc)+ (-p XX.po)+

(XX.po son la salida, todos los otros son entrada)

DESCRIPCIÓN
El objetivo del proyecto po4a («PO for anything», PO para todo) es facilitar la traducción (y más interesante, el mantenimiento de las traducciones) usando las herramientas de gettext en ámbitos dónde no previstos, como la documentación.

El script po4a-updatepo se encarga de la actualización de los ficheros PO para que reflejen los cambios realizados en los ficheros de documentación originales. Para eso, convierte el fichero de documentación a un fichero POT, e invoca msgmerge(1) sobre este nuevo POT y los ficheros PO proporcionados.

Es posible proporcionar más de un fichero PO (si quiere actualizar varios idiomas a la vez), y varios ficheros de documentación (si quiere guardar la traducción de varios documentos en un mismo fichero PO).

Si el documento original contiene caracteres no ASCII, este guion convertirá los ficheros PO a UTF-8 (si no lo usaban ya), para una manipulación transparente de caracteres no estandarizados.

OPCIONES

-f, --format
    El formato de la documentación que desea tratar. Use la opción --help-format para ver la lista de los formatos disponibles.

-m, --master
    Los fichero(s) que contienen el documento original a traducir.

-M, --master-charset
    El juego de caracteres de los ficheros que contienen el documento a traducir. Todos los ficheros deben tener el mismo juego de caracteres.

-p, --po
    Fichero(s) PO a actualizar. Si no existen los ficheros se generaran con po4a-updatepo.

-o, --option
    Opción(es) adicionales a introducir a la extensión del formato. Consulte la documentación de cada extensión para más información acerca de las opciones aceptadas y su significado. Por ejemplo, puede pasar '-o tablecells' al intérprete AsciiDoc, mientras que el intérprete de texto aceptaría '-o tabs=split'.

--no-previous
    Esta opción elimina --previous de las opciones pasadas a msgmerge. Esto ayuda a soportar versiones antiguas de gettext (anteriores a 0.16).

--previous
    Esta opción añade --previous a las opciones introducidas a msgmerge. Requiere gettext 0.16 o posterior, y está activada por omisión.

--msgmerge-opt opciones
    Opciones adicionales para msgmerge(1).

-h, --help
    Muestra un mensaje corto de ayuda.

--help-format
    Listado de formatos de documentación reconocidos por po4a.

-V, --version
    Muestra la versión del script y cierra.

-v, --verbose
    Aumenta la cantidad de mensajes informativos del programa.

-d, --debug
    Devuelve por la salida información de depuración de fallos.

--porefs type[,wrap|nowrap]
    Define el forma de referencia: El argumento type puede ser never para no generar ninguna referencia, file para solo especificar el fichero el número de línea, counter para sustituir el número de línea con un recuento ascendente, y full para incluir referencias completas (predefinido: full).

    El argumento puede preceder a una coma y a la palabra clave wrap o nowrap. Las referencias se escriben en una sola línea por omisión. La opción wrap justifica las referencias en varias líneas, para imitar a las herramientas gettext (xgettext y msgmerge). Esta opción será el comportamiento predefinido en el futuro, ya que es más inteligente. La opción nowrap está disponible para aquellos usuarios que deseen mantener el comportamiento antiguo.

--wrap-po no|newlines|number (por omisión: 76)
    Especifique cómo se debe ajustar el archivo po. Esto permite elegir entre archivos que están bien ajustados pero que podrían generar conflictos de git o archivos que son más fáciles de manejar automáticamente, pero más difíciles de leer para los humanos.

    Históricamente, la suite gettext ha reformateado los archivos po en la columna 77 por cosmética. Esta opción especifica el comportamiento de po4a. Si se establece en un valor numérico, po4a envolverá el fichero po después de esta columna y después de las nuevas líneas en el contenido. Si se establece en newlines, po4a sólo dividirá msgid y msgstr después de nuevas líneas en el contenido. Si se establece en no, po4a no envolverá el fichero po. La envoltura de los comentarios de referencia se controla con la opción --porefs.

    Tenga en cuenta que esta opción no tiene ningún impacto en cómo se ajustan msgid y msgstr, es decir, en cómo se agregan nuevas líneas al contenido de estas cadenas.

--msgid-bugs-address correo-e@direccion
    Define el destinatario de los informes de fallo en los msgid. Por omisión, los ficheros POT creados no tienen el campo «Report-Msgid-Bugs-To».

--copyright-holder cadena
    Define el titula de los derechos de reproducción en la cabecera del POT. El valor predefinido es «Free Software Foundation, Inc.»

--package-name string
    Define el nombre del paquete en la cabecera del POT. El valor por omisión es «PACKAGE».

--package-version string
    Define la versión del paquete en la cabecera del POT. El valor por omisión es «VERSION».

VÉASE TAMBIÉN
po4a-gettextize(1), po4a-normalize(1), po4a-translate(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUCCION
 Jordi Vilalta <jvprat@gmail.com>
 Omar Campagne <ocampagne@gmail.com>

DERECHO DE COPIA Y LICENCIA
Copyright 2002-2023 por SPI, inc.

Este programa es software libre; puede redistribuirlo y/o modificarlo bajo los términos de la GPL v2.0 o posterior (consulte el archivo COPYING).